#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-test
version:              0.14.0.1
visibility:           public
id:                   lsp-test-0.14.0.1-1wkcX7rUo84I45aWgEnGtl
key:                  lsp-test-0.14.0.1-1wkcX7rUo84I45aWgEnGtl
license:              BSD-3-Clause
copyright:            2021 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:
    https://github.com/haskell/lsp/blob/master/lsp-test/README.md

synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  f6c6fa1abdb8c100815d5d065a7d0746
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-5jHqYWwdpCqFWQLuYLRvi6:Control.Applicative.Combinators,
    Language.LSP.Test,
    Language.LSP.Types from lsp-types-1.3.0.1-3R85XZvj2854CYZxBA5VGX:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-3R85XZvj2854CYZxBA5VGX:Language.LSP.Types.Capabilities

hidden-modules:
    Language.LSP.Test.Compat Language.LSP.Test.Decoding
    Language.LSP.Test.Exceptions Language.LSP.Test.Files
    Language.LSP.Test.Parsing Language.LSP.Test.Server
    Language.LSP.Test.Session

import-dirs:          /usr/lib/ghc-9.0.1/site-local/lsp-test-0.14.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/lsp-test-0.14.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/lsp-test-0.14.0.1
hs-libraries:         HSlsp-test-0.14.0.1-1wkcX7rUo84I45aWgEnGtl
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.1-AsXLEEOKsZHCb5YM7FOke8
    aeson-1.5.6.0-Hu48mgwBrEQKjw91bueUbm
    aeson-pretty-0.8.8-3OSj6xBY8p348Nh9dWt1mZ
    ansi-terminal-0.11-Ag5cePN38Me87eTiPqxHZW
    async-2.2.3-9kX48PHnvdD9PjixjHg39U base-4.15.0.0
    bytestring-0.10.12.1 conduit-1.3.4.2-CpnfzB5xaoUDvaJR7w9kCQ
    conduit-parse-0.2.1.0-8kEfMer0G63F5QnovzMLCz containers-0.6.4.1
    data-default-0.7.1.1-9pDbF71G48YK8T0Zltgcr6 directory-1.3.6.1
    filepath-1.4.2.1 lens-5.0.1-rlrBG3eUIE9ghmFG9oii1
    lsp-types-1.3.0.1-3R85XZvj2854CYZxBA5VGX mtl-2.2.2
    parser-combinators-1.3.0-5jHqYWwdpCqFWQLuYLRvi6 process-1.6.11.0
    some-1.0.3-7sghqqTkEQg7XqQ206Tg1F text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.14.0-7LMDP5QPSZY4o6Vs5H6SAe

haddock-interfaces:   /usr/share/doc/haskell-lsp-test/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

